<?xml version="1.0" encoding="UTF-8" ?>
<!--
IGAC proyecto SNC

@author fredy.wilches
@version 2.0
@description Formulario de ejecución  
@cu CU-CO-V-01

-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui" width="100%">
    <h:form id="entradaProyeccionForm">

        <p:messages id="entradaProyeccionMsgs" />

        <p:fieldset rendered="#{entradaProyeccion.tramite.segundaDesenglobe 
                                and !proyectarConservacion.tramite.desenglobeEtapas 
                                and !proyectarConservacion.banderaPredioFiscal}">
            <legend>
                <h:outputLabel value="Manzanas" styleClass="legendTitle" />
            </legend>

            <h:panelGrid columns="4">
                <h:outputLabel value="Crear manzanas"
                               rendered="#{proyectarConservacion.tramite.segundaDesenglobe}"
                               styleClass="outputLabelStyle" />

                <h:selectBooleanCheckbox id="checkManzanas"
                                         value="#{entradaProyeccion.creaManzanas}"> 
                    <p:ajax process="@this" oncomplete="confirmaCambioCreaManzanaWV.show()"/>

                </h:selectBooleanCheckbox>

                <h:outputLabel value="Cantidad de manzanas" id="nManzanasLbl"
                               rendered="#{proyectarConservacion.tramite.segundaDesenglobe and 
                                           entradaProyeccion.creaManzanas}"
                               styleClass="outputLabelStyle" />

                <h:inputText value="#{proyectarConservacion.tramite.manzanasNuevas}" id="nManzanas" title="Cantidad de manzanas"
                             rendered="#{proyectarConservacion.tramite.segundaDesenglobe and 
                                         entradaProyeccion.creaManzanas}" label="Cantidad de manzanas"
                             styleClass="outputLabelStyle">

                    <p:ajax process="@this" update="entradaProyeccionForm" event="change" listener="#{entradaProyeccion.listenerCantidadManzanas}" />

                </h:inputText>

                <p:spacer rendered="#{proyectarConservacion.tramite.segundaDesenglobe and 
                                      !entradaProyeccion.creaManzanas}"/>

                <p:spacer rendered="#{proyectarConservacion.tramite.segundaDesenglobe and 
                                      !entradaProyeccion.creaManzanas}"/>

            </h:panelGrid>

            <ui:include id="listaManzanas" src="listaManzanasNuevas.xhtml" parent="entradaProyeccionForm">

            </ui:include>

            <h:panelGrid columns="3" id="panelAcciones" rendered="#{proyectarConservacion.tramite.segundaDesenglobe and 
                                                                    entradaProyeccion.creaManzanas}">

                <p:commandButton value="Generar manzanas"
                                 title="generar manzanas" icon="ui-icon-check"
                                 onclick="generarManzanasWV.show()"
                                 update="entradaProyeccionForm:entradaProyeccionMsgs, entradaProyeccionForm:manzanasDT, entradaProyeccionForm:panelAcciones"/>
                <p:commandButton value="Retirar manzanas" id="retiraManzanaBtn"
                                 disabled="#{!entradaProyeccion.retirarManzana}"
                                 title="generar manzanas" icon="ui-icon-close"
                                 action="#{entradaProyeccion.retirarManzanas}"
                                 update="entradaProyeccionForm:entradaProyeccionMsgs, entradaProyeccionForm:manzanasDT, entradaProyeccionForm:panelAcciones"/>

                <p:commandButton value="Adicionar manzanas"
                                 title="generar manzanas" icon="ui-icon-plus"
                                 disabled="#{(fn:length(entradaProyeccion.manzanasDesenglobe) ge proyectarConservacion.tramite.manzanasNuevas)}"
                                 action="#{entradaProyeccion.generarManzanas}"
                                 update="entradaProyeccionForm:entradaProyeccionMsgs, entradaProyeccionForm:manzanasDT, entradaProyeccionForm:panelAcciones">
                    <f:setPropertyActionListener target="#{entradaProyeccion.manzanasAGenerar}" value="1"/>
                </p:commandButton>

            </h:panelGrid>


        </p:fieldset>
        <p:spacer width="0" height="5" />
        <p:fieldset rendered="#{entradaProyeccion.tramite.segunda and !entradaProyeccion.creaManzanas and !proyectarConservacion.tramite.desenglobeEtapas}"
                    id="predioMantieneFS">
            <legend>

                <h:outputLabel value="Englobe" styleClass="legendTitle"
                               rendered="#{proyectarConservacion.tramite.segundaEnglobe}" />
                <h:outputLabel value="Desenglobe" styleClass="legendTitle"
                               rendered="#{proyectarConservacion.tramite.segundaDesenglobe}" />
            </legend>

            <h:panelGrid columns="4">          

                <h:outputLabel value="¿Mantiene número de terreno?"
                               rendered="#{!proyectarConservacion.banderaSoloMejorasEnglobe}"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="¿Mantiene número de mejora?"
                               rendered="#{proyectarConservacion.banderaSoloMejorasEnglobe}"
                               styleClass="outputLabelStyle" />
                <h:selectBooleanCheckbox
                    value="#{entradaProyeccion.mantieneNumeroPredial}"
                    disabled="#{not empty entradaProyeccion.prediosResultantes}">
                    <p:ajax process="@this" update="outPanelBtnAceptar" />
                </h:selectBooleanCheckbox>

                <h:outputLabel value="Condición de propiedad:"
                               rendered="#{!proyectarConservacion.banderaSoloMejorasEnglobe 
                                           and !proyectarConservacion.banderaDesenglobeMejora
                                           and !proyectarConservacion.banderaMejorasTerrenoEnglobe
                                           and proyectarConservacion.banderaPredioFiscal}"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="Condición de predio"
                               rendered="#{proyectarConservacion.banderaSoloMejorasEnglobe 
                                           or proyectarConservacion.banderaDesenglobeMejora
                                           or proyectarConservacion.banderaMejorasTerrenoEnglobe
                                           or !proyectarConservacion.banderaPredioFiscal}"
                               styleClass="outputLabelStyle" />
                <h:selectOneMenu id="condicionPropiedadEnglDesenglCB"
                                 value="#{entradaProyeccion.condicionPropiedadSeleccionada}"
                                 process="@this"
                                 disabled="#{not empty entradaProyeccion.prediosResultantes or entradaProyeccion.limitadoACondicion0}">
                    <f:selectItems
                        value="#{entradaProyeccion.condicionesPropiedadFiltradas}" />
                </h:selectOneMenu>

            </h:panelGrid>

            <p:outputPanel id="outPanelBtnAceptar" layout="block"
                           style="text-align:right">
                <p:commandButton value="Aceptar"
                                 process="@this, condicionPropiedadEnglDesenglCB"
                                 icon="ui-icon-check"
                                 update="entradaProyeccionForm, :confirmaCrearPredio3Form"
                                 title="Aceptar englobe mantiene" action="#{entradaProyeccion.inicializarPredioAMantener}"
                                 oncomplete="handleCompleteSIC(xhr, status, args, predioAEnglobarWV, true);"
                                 disabled="#{not empty entradaProyeccion.prediosResultantes}"
                                 rendered="#{entradaProyeccion.mantieneNumeroPredial and entradaProyeccion.tramite.segundaEnglobe}" />

                <p:commandButton value="Aceptar"
                                 process="@this, condicionPropiedadEnglDesenglCB"
                                 update="entradaProyeccionForm, :confirmaCrearPredio1Form"
                                 title="Aceptar desenglobe mantiene" icon="ui-icon-check"
                                 disabled="#{not empty entradaProyeccion.prediosResultantes}"
                                 oncomplete="confirmaCrearPredio1WV.show();"
                                 rendered="#{entradaProyeccion.mantieneNumeroPredial and entradaProyeccion.tramite.segundaDesenglobe}" />

                <p:commandButton value="Aceptar"
                                 process="@this, condicionPropiedadEnglDesenglCB"
                                 update=":datosPredioForm:datosPredioPanelGrid, :confirmaCrearPredio2Form, entradaProyeccionForm"
                                 title="Aceptar no mantiene" icon="ui-icon-check"
                                 action="#{entradaProyeccion.aceptarEnglobeDesenglobeNoMantiene}"
                                 disabled="#{not empty entradaProyeccion.prediosResultantes}"
                                 oncomplete="handleCompleteSIC(xhr, status, args, datosPredioWV, true);"
                                 rendered="#{!entradaProyeccion.mantieneNumeroPredial}" />
            </p:outputPanel>
        </p:fieldset>

        <p:spacer width="0" height="5" />
        <h:panelGrid columns="1"
                     rendered="#{proyectarConservacion.banderaCancelacionDobleInscripcion}">
            <h:panelGroup>
                <h:selectBooleanCheckbox id="chkAceptarCancelarDobleInscripcion"
                                         value="#{proyectarConservacion.banderaAceptaCancelacionDobleInscripcion}">
                    <p:ajax process="@this" update=":proyectarMutacionPnlGrd" />
                </h:selectBooleanCheckbox>

                <h:outputLabel value="¿Cancelar Predio por doble inscripción?"
                               styleClass="outputLabelStyle" />
            </h:panelGroup>					
            <h:panelGrid columns="1">
                <p:commandButton value="Aceptar" id="btnAceptarCancelarDobleInscripcion" 
                                 process="@this, chkAceptarCancelarDobleInscripcion"
                                 icon="ui-icon-check" 
                                 update=":proyectarMutacionPnlGrd"
                                 title="Aceptar Cancelación de Predio por doble inscripción" action="#{proyectarConservacion.cancelarPredio}" />

                <h:outputLabel value="El predio #{proyectarConservacion.tramite.predio.numeroPredial} se cancelará" 
                               rendered="#{proyectarConservacion.banderaAceptaCancelacionDobleInscripcion}"
                               styleClass="outputLabelStyle" />
            </h:panelGrid>					

        </h:panelGrid>
        <h:panelGrid columns="2"
                     rendered="#{entradaProyeccion.tramite.quinta or entradaProyeccion.tramite.modificacionInscripcionCatastral}">
            <p:commandButton value="Buscar predio omitido" disabled="#{not empty entradaProyeccion.prediosResultantes}"
                             title="Buscar predio omitido" icon="ui-icon-search" id="botonBuscarOmitido"
                             rendered="#{entradaProyeccion.tramite.quintaOmitido}"
                             action="#{entradaProyeccion.buscarPredioOmitido}" 
                             update=":tabView1:entradaProyeccionForm:prediosResultantesTable,
                             :tabView1:entradaProyeccionForm:entradaProyeccionMsgs,
                             :tabView1:entradaProyeccionForm:nuevoPredioBtn, botonBuscarOmitido" />

            <p:commandButton
                value="#{entradaProyeccion.tramite.modificacionInscripcionCatastral eq true ? 'Modificar predio' : 'Nuevo'}"
                icon="ui-icon-document"
                title="Datos nuevo predio"
                rendered="#{entradaProyeccion.tramite.modificacionInscripcionCatastral}"
                disabled="#{not empty entradaProyeccion.prediosResultantes}"
                action="#{entradaProyeccion.setupNuevoPredioQuinta}"
                oncomplete="handleCompleteSIC(xhr, status, args, datosPredioWV, true);" />

            <p:commandButton id="nuevoPredioBtn"
                             value="Nuevo"
                             icon="ui-icon-document"
                             title="Crear predio nuevo para mutación de quinta"
                             rendered="#{(entradaProyeccion.tramite.quintaNuevo or
                                         entradaProyeccion.tramite.quintaOmitido or entradaProyeccion.tramite.quintaOmitidoNuevo) and !entradaProyeccion.tramite.quintaMasivo}"
                             action="#{entradaProyeccion.setupNuevoPredioTramiteQuinta}"
                             oncomplete="handleCompleteSIC(xhr, status, args, datosPredioNuevoQuintaWV, true);"
                             update=":datosPredioNuevoQuintaForm"
                             disabled="#{(entradaProyeccion.tramite.quintaOmitido and
                                         not entradaProyeccion.ingresarPredioNuevoOmitido)
                                         or not empty entradaProyeccion.prediosResultantes}"/>
        </h:panelGrid>

        <h:panelGrid columns="2" id="predioCanceladoGrdMsj"
                     rendered="#{entradaProyeccion.tramite.cancelacionPredio and !entradaProyeccion.tramite.cancelacionMasiva}">
            <h:outputText value="El predio ha sido cancelado"
                          rendered="#{entradaProyeccion.predioSeleccionado.cancelaInscribe=='M'}"/>
            <p:commandButton value="Cancelar predio" icon="ui-icon-close"
                             rendered="#{(entradaProyeccion.tramite.cancelacionPredio and
                                         entradaProyeccion.predioSeleccionado.cancelaInscribe!='M')}"
                             action="#{entradaProyeccion.cancelarPredio}" update="predioCanceladoGrdMsj" />
            <p:commandButton value="Modificar predio" icon="ui-icon-pencil"
                             rendered="#{!entradaProyeccion.tramite.cancelacionPredio}" />
        </h:panelGrid>


        <p:spacer width="0" height="5" />


        <p:fieldset rendered="#{proyectarConservacion.tramite.desenglobeEtapas}">
            <h:outputLabel value="Modificación al reglamento de PH"
                           styleClass="outputLabelStyle" />

            <p:selectOneRadio value="#{entradaProyeccion.englobeVirtual}">
                <f:selectItem itemValue="SI" itemLabel="SI"/>
                <f:selectItem itemValue="NO" itemLabel="NO"/>

                <p:ajax process="@this"  event="change" oncomplete="confirmaCambioEnglobeVirtualWV.show()"/>

            </p:selectOneRadio>


            <p:spacer width="0" height="10"/>

            <p:fieldset rendered="#{proyectarConservacion.tramite.englobeVirtual}">


                <p:dataTable var="predio" emptyMessage="No hay registros disponibles" id="prediosEnglobeVirtualDT"
                             value="#{proyectarConservacion.tramite.fichaMatrizPredioTerrenos}">

                    <f:facet name="header">
                        <h:outputText value="Predios a ser cancelados" />
                    </f:facet>

                    <p:column>
                        <f:facet name="header">
                            Opciones
                        </f:facet>

                        <p:commandButton title="Ver"
                                         onstart="statusDialog2.show();"
                                         action="#{consultaPredio.cleanAllMB}"
                                         oncomplete="statusDialog2.hide(); 
                                         dpCC:detallePredioWV.show();"
                                         update=":dpCC:detallesPredioTV"

                                         immediate="true" ajax="true" icon="ui-icon-search">
                            <f:setPropertyActionListener value="#{predio.predio}"
                                                         target="#{consultaPredio.selectedPredio1}" />
                        </p:commandButton>
                        <p:commandButton title="Eliminar"
                                         disabled="#{entradaProyeccion.banderaEnglobeVirtualAprobado}"
                                         action="#{entradaProyeccion.retirarPrediosEnglobeVirtual}"
                                         update=":tabView1" ajax="true"
                                         icon="ui-icon-trash">
                            <f:setPropertyActionListener value="#{predio}"
                                                         target="#{entradaProyeccion.predioARetirar}" />
                        </p:commandButton>
                    </p:column>
                    <p:column>
                        <f:facet name="header">
                            Número predial
                        </f:facet>
                        <h:outputText value="#{predio.numeroPredialOrigen}">
                            <f:converter converterId="numeroPredialConverter" />
                        </h:outputText>
                    </p:column>

                    <p:column>
                        <f:facet name="header">
                            Dirección <br /> principal
                        </f:facet>
                        <h:outputText value="#{predio.direccionPrincipalOrigen}" />
                    </p:column>
                    <p:column>
                        <f:facet name="header">
                            Matrícula <br /> inmobiliaria
                        </f:facet>
                        <h:outputText  value="#{predio.matriculaOrigen}" />
                    </p:column>

                    <p:column>
                        <f:facet name="header">
                            Área total<br /> terreno
                        </f:facet>
                        <div style="text-align: right">
                            <h:outputText 
                                value="#{predio.areaTotalTerrenoOrigen}">
                                <f:convertNumber type="number" pattern="#{general.formatoDosCifrasDecimales}"/> 
                            </h:outputText>
                        </div>
                    </p:column>
                    <p:column>
                        <f:facet name="header">
                            Área construida<br /> privada
                        </f:facet>
                        <div style="text-align: right">
                            <h:outputText 
                                value="#{predio.areaConstruidaPrivadaOrigen}">
                                <f:convertNumber pattern="#{general.formatoDosCifrasDecimales}"/>
                            </h:outputText>
                        </div>
                    </p:column>
                    <p:column>
                        <f:facet name="header">
                            Área construida<br /> común
                        </f:facet>
                        <div style="text-align: right">
                            <h:outputText
                                value="#{predio.areaConstruidaComunOrigen}">
                                <f:convertNumber pattern="#{general.formatoDosCifrasDecimales}"/>
                            </h:outputText>
                        </div>
                    </p:column>


                </p:dataTable>


                <p:spacer width="0" height="10" />


                <h:panelGrid columns="4">
                    <p:commandButton value="Seleccionar predios" icon="ui-icon-check"
                                     update="entradaProyeccionForm, :psCC"
                                     disabled="#{entradaProyeccion.banderaEnglobeVirtualAprobado}"
                                     oncomplete="consultaPrediosDlgWV.show(); inicializarAutotab();"/>
                    <p:commandButton value="Ver predios seleccionados" icon="ui-icon-search"
                                     update="entradaProyeccionForm, :psCC"
                                     disabled="#{entradaProyeccion.banderaEnglobeVirtualAprobado}"
                                     oncomplete="prediosSeleccionadosDlgWV.show();"/>
                    <p:commandButton value="Asociar predios al trámite" icon="ui-icon-transferthick-e-w"
                                     update="entradaProyeccionForm"
                                     disabled="#{entradaProyeccion.banderaEnglobeVirtualAprobado}"
                                     action="#{entradaProyeccion.adicionarPrediosEnglobeVirtual}"/>


                </h:panelGrid>

                <p:spacer height="20"/>

                <h:panelGrid columns="2">
                    <h:outputLabel value="Genera nueva ficha matriz: "
                                   styleClass="outputLabelStyle" />


                    <h:outputText value="#{entradaProyeccion.nuevaFichaMatriz}"
                                  />

                    <h:outputLabel value="Número de la ficha matriz: "
                                   styleClass="outputLabelStyle" />

                    <h:inputText value="#{entradaProyeccion.numeroFichaMatrizSel.label}" disabled="true"
                                 maxlength="30" size="50" id="numeroPredialFicha" />

                </h:panelGrid>

                <p:spacer height="20"/>

                <p:outputPanel id="actionsTramite" layout="block" style="text-align:right">

                    <p:commandButton value="Generar ficha matriz" icon="ui-icon-check"
                                     disabled="#{entradaProyeccion.banderaEnglobeVirtualAprobado}"
                                     oncomplete="seleccionFichaMatrizWV.show();" update=":selectFMForm"
                                     action="#{entradaProyeccion.inicializarSeleccionFicha}"/>

                    <p:spacer width="20"/>

                    <p:commandButton value="Aceptar" icon="ui-icon-check"
                                     update=":tabView1"
                                     disabled="#{entradaProyeccion.banderaEnglobeVirtualAprobado or
                                                 entradaProyeccion.numeroFichaMatriz eq null}"
                                     action="#{entradaProyeccion.aprobarEnglobeVirtual}"/>
                    <p:spacer width="20"/>




                </p:outputPanel>

                <p:spacer height="10"/>


            </p:fieldset>

        </p:fieldset>
        <p:spacer width="0" height="5" />

        <p:fieldset
            rendered="#{entradaProyeccion.tramite.segunda or entradaProyeccion.tramite.quinta or entradaProyeccion.tramite.modificacionInscripcionCatastral
                        or entradaProyeccion.tramite.terceraMasiva or entradaProyeccion.tramite.rectificacionMatriz or entradaProyeccion.tramite.cancelacionMasiva}">

            <legend>
                <h:outputLabel value="Predios" styleClass="legendTitle" />
            </legend>
            <p:spacer width="0" height="5" />

            <h:panelGrid columns="4" id="deptoMun" rendered="#{entradaProyeccion.tramite.desenglobeEtapas and (not empty entradaProyeccion.prediosResultantes)}">
                <h:outputLabel value="Departamento: "

                               styleClass="outputLabelStyle" />
                <h:outputText value="#{entradaProyeccion.prediosResultantes[0].departamento.codigo} - #{entradaProyeccion.prediosResultantes[0].departamento.nombre}" />

                <h:outputLabel value="Municipio: "

                               styleClass="outputLabelStyle" />
                <h:outputText value="#{entradaProyeccion.prediosResultantes[0].municipio.codigo} - #{entradaProyeccion.prediosResultantes[0].municipio.nombre}" />
            </h:panelGrid>

            <p:spacer width="0" height="5" />

            <h:panelGrid columns="3" rendered="#{entradaProyeccion.tramite.terceraMasiva
                                                 or entradaProyeccion.tramite.rectificacionMatriz
                                                 or entradaProyeccion.tramite.englobeVirtual}">
                <h:outputLabel value="Búsqueda: "
                               styleClass="outputLabelStyle" />

                <h:inputText value="#{entradaProyeccion.numeroPredialBusquedaTerceraRectificacionMasiva}" title="Búsqueda"
                             label="Búsqueda" maxlength="30" size="50" id="numeroPredialBusqueda" />
                <p:commandButton widgetVar="buscarBtn" id="buscarBtn"
                                 icon="ui-icon ui-icon-search"
                                 update="prediosResultantesTable"
                                 process="numeroPredialBusqueda,@this"
                                 action="#{entradaProyeccion.filtrarPPrediosResultantes}"
                                 onstart="statusDialog2.show();" onsuccess="statusDialog2.hide();" />

                <p:spacer width="0" height="5" />

            </h:panelGrid>

            <p:messages id="testMsgs" />
            <p:dataTable var="predio" id="prediosResultantesTable"
                         value="#{entradaProyeccion.prediosResultantes}" rows="10"
                         paginator="true"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                         paginatorPosition="bottom" rowsPerPageTemplate="10,20,30"
                         emptyMessage="No existen predios resultantes a mostrar">

                <f:facet name="header" rendered="false">
                    No. predial resultante
                </f:facet>

                <p:column rendered="true">
                    <f:facet name="header">
                        <h:selectBooleanCheckbox
                            value="#{entradaProyeccion.selectAllResultantes}"
                            disabled="#{entradaProyeccion.tramite.englobeVirtual and !entradaProyeccion.tramite.englobeVirtualAprobado}"
                            rendered="#{(entradaProyeccion.tramite.quinta and entradaProyeccion.tramite.quintaMasivo) or !entradaProyeccion.tramite.quinta}">
                            <p:ajax process="@this" 
                                    update="prediosResultantesTable,  
                                    :tabView1:entradaProyeccionForm:adicionarRetirarPrediosResultantesPanelGrid, 
                                    :tabView1,:proyectarMutacionPnlGrd"
                                    listener="#{entradaProyeccion.seleccionarTodosResultantes}" />
                        </h:selectBooleanCheckbox>
                    </f:facet>

                    <p:graphicImage value="/imagesColorCircles/datoModificado.png"
                                    height="13" width="13" rendered="#{predio.cancelaInscribe=='C' and !entradaProyeccion.tramite.desenglobeEtapas}"
                                    title="Cancelado #{predio.id}" />
                    <p:graphicImage value="/imagesColorCircles/datoFinal.png"
                                    height="13" width="13" rendered="#{predio.cancelaInscribe=='I' and !entradaProyeccion.tramite.desenglobeEtapas}"
                                    title="Inscrito #{predio.id}" />
                    <p:graphicImage value="/imagesColorCircles/datoInicial.png"
                                    height="13" width="13" rendered="#{predio.cancelaInscribe=='M' and !entradaProyeccion.tramite.desenglobeEtapas}"
                                    title="Asociado/Modificado #{predio.id}" />

                    <!-- Desenglobe por etapas estado de modificacion del predio-->

                    <p:graphicImage value="/imagesColorCircles/datoInicial.png"
                                    height="13" width="13" 
                                    rendered="#{predio.estadoEdicionEtapas==1 and entradaProyeccion.tramite.desenglobeEtapas}"
                                    title="Información completa #{predio.id}" />
                    <p:graphicImage value="/imagesColorCircles/datoModificado.png"
                                    height="13" width="13" 
                                    rendered="#{predio.estadoEdicionEtapas==0 and entradaProyeccion.tramite.desenglobeEtapas}"
                                    title="Información pendiente #{predio.id}" />


                    <h:selectBooleanCheckbox value="#{predio.selected}"
                                             rendered="#{!entradaProyeccion.tramite.englobeVirtual or
                                                         (entradaProyeccion.tramite.englobeVirtual and entradaProyeccion.tramite.englobeVirtualAprobado)}"
                                             valueChangeListener="#{entradaProyeccion.originalPredioSeleccionado}">
                        <p:ajax process="@this"
                                update=":tabView1:entradaProyeccionForm:testMsgs, :tabView1:gestionarUbicacionDelTramite:modificarMatriculaBtn,
                                :tabView1:entradaProyeccionForm:adicionarRetirarPrediosResultantesPanelGrid, :tabView1"
                                listener="#{entradaProyeccion.updateSelectedPrediosResultantes}">
                            <f:setPropertyActionListener target="#{entradaProyeccion.predioCancelarSeleccionado}"
                                                         value="#{predio}"/>
                        </p:ajax>
                    </h:selectBooleanCheckbox>
                </p:column>

                <!-- Se muestran para tramites diferentes a desenglobe por etapas-->
                <!-- Se muestran para tramites diferentes a tercera masivas y rectificación matriz-->
                <p:column sortBy="#{predio.numeroPredial}" 
                          rendered="#{!entradaProyeccion.tramite.desenglobeEtapas and
                                      !(entradaProyeccion.tramite.terceraMasiva or entradaProyeccion.tramite.rectificacionMatriz)}">
                    <f:facet name="header">Número predial</f:facet>
                    <h:outputText value="#{predio.formattedNumeroPredialCompleto}" />
                </p:column>

                <!-- Se muestran solo para tramites desenglobe por etapas-->
                <!-- y ahora también para los trámites de tercera másivos y rectificación matriz-->
                <p:column sortBy="#{predio.numeroPredialAntiguoConFormato}" 
                          rendered="#{entradaProyeccion.tramite.desenglobeEtapas or entradaProyeccion.tramite.terceraMasiva 
                                      or entradaProyeccion.tramite.rectificacionMatriz}">
                    <f:facet name="header">Número predial</f:facet>
                    <h:outputText value="#{predio.numeroPredialAntiguoConFormato}" />
                </p:column>
                <p:column sortBy="#{predio.numeroPredialNuevoConFormato}"  
                          rendered="#{entradaProyeccion.tramite.desenglobeEtapas or 
                                      entradaProyeccion.tramite.terceraMasiva or entradaProyeccion.tramite.rectificacionMatriz}"> 
                    <f:facet name="header">Número predial nuevo</f:facet>
                    <h:outputText value="#{predio.numeroPredialNuevoConFormato}" />
                </p:column>

                <!-- Se muestran para tramites diferentes a desenglobe por etapas-->
                <!-- Se muestran para tramites diferentes a tercera masivas y rectificación matriz-->
                <p:column headerText="Departamento" 
                          rendered="#{!entradaProyeccion.tramite.desenglobeEtapas 
                                      and !entradaProyeccion.tramite.cancelacionMasiva 
                                      and!(entradaProyeccion.tramite.terceraMasiva or entradaProyeccion.tramite.rectificacionMatriz)}">
                    <h:outputText value="#{predio.departamento.nombre}" />
                </p:column>

                <p:column headerText="Municipio"  
                          rendered="#{!entradaProyeccion.tramite.desenglobeEtapas 
                                      and !entradaProyeccion.tramite.cancelacionMasiva 
                                      and !(entradaProyeccion.tramite.terceraMasiva or entradaProyeccion.tramite.rectificacionMatriz)}">
                    <h:outputText value="#{predio.municipio.nombre}" />
                </p:column>

                <p:column rendered="#{entradaProyeccion.tramite.segunda or entradaProyeccion.tramite.quintaMasivo or entradaProyeccion.tramite.cancelacionMasiva
                                      or entradaProyeccion.tramite.terceraMasiva or entradaProyeccion.tramite.rectificacionMatriz}">
                    <f:facet name="header">Coef. <br />copropiedad</f:facet>
                    <center> <h:outputText
                            value="#{predio.coeficienteCopropiedadFM}">
                            <f:convertNumber type="number" groupingUsed="true"
                                             minFractionDigits="16" pattern="#0.000000##########" />
                        </h:outputText> </center>
                </p:column>

                <p:column sortBy="#{predio.tipo}" 
                          rendered="#{entradaProyeccion.tramite.segundaDesenglobe
                                      or entradaProyeccion.tramite.terceraMasiva 
                                      or entradaProyeccion.tramite.cancelacionMasiva 
                                      or entradaProyeccion.tramite.rectificacionMatriz
                                      or entradaProyeccion.tramite.quintaMasivo}">
                    <f:facet name="header">Tipo de predio</f:facet>
                    <h:outputText value="#{predio.tipo}" id="PredioTipoV" rendered="#{!predio.esPredioFichaMatriz}">
                        <f:converter converterId="converterCB" for="PredioTipoV" />
                    </h:outputText>
                </p:column>

                <p:column rendered="#{entradaProyeccion.tramite.segundaDesenglobe
                                      or entradaProyeccion.tramite.terceraMasiva 
                                      or entradaProyeccion.tramite.cancelacionMasiva 
                                      or entradaProyeccion.tramite.rectificacionMatriz}"
                          sortBy="#{predio.numeroRegistro}">
                    <f:facet name="header">Matrícula<br /> inmobiliaria</f:facet>
                    <center> <h:outputText
                            rendered="#{(predio.circuloRegistral ne null) and (predio.circuloRegistral.codigo ne null)}"
                            value="#{predio.circuloRegistral.codigo} - " /> <h:outputText
                            value="#{predio.numeroRegistro}" /> </center>
                </p:column>


                <!-- Se muestran solo para tramites de desenglobe por etapas-->
                <!-- y ahora también para los trámites de tercera másivos y rectificación matriz-->
                <p:column sortBy="#{predio.destino}" 
                          headerText="Destinación económica" 
                          rendered="#{entradaProyeccion.tramite.desenglobeEtapas 
                                      or entradaProyeccion.tramite.quintaMasivo
                                      or entradaProyeccion.tramite.terceraMasiva 
                                      or entradaProyeccion.tramite.cancelacionMasiva 
                                      or entradaProyeccion.tramite.rectificacionMatriz}">
                    <h:outputText value="#{predio.destino}" id="PredioDestinoV"  rendered="#{!predio.esPredioFichaMatriz}">
                        <f:converter converterId="converterCB" for="PredioDestinoV" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Dirección" 
                          rendered="#{entradaProyeccion.tramite.desenglobeEtapas 
                                      or entradaProyeccion.tramite.quintaMasivo 
                                      or entradaProyeccion.tramite.terceraMasiva
                                      or entradaProyeccion.tramite.cancelacionMasiva 
                                      or entradaProyeccion.tramite.rectificacionMatriz}">
                    <h:outputText value="#{predio.direccionPrincipal}" />
                </p:column>

                <p:column rendered="#{entradaProyeccion.tramite.segundaDesenglobe 
                                      or entradaProyeccion.tramite.terceraMasiva 
                                      or entradaProyeccion.tramite.rectificacionMatriz 
                                      or entradaProyeccion.tramite.cancelacionMasiva 
                                      or entradaProyeccion.tramite.quintaMasivo}">
                    <f:facet name="header">Ficha matriz</f:facet>
                    <center> <p:commandButton
                            rendered="#{predio.esPredioFichaMatriz}" disabled="true"
                            icon="ui-icon-check" id="predioFichaMatrizBtn"
                            title="Predio ficha matriz" /> </center>
                </p:column>

            </p:dataTable>

            <p:spacer width="0" height="10" />

            <h:panelGrid columns="4" rendered="#{entradaProyeccion.tramite.cancelacionMasiva}">
                <p:commandButton value="Seleccionar predios" icon="ui-icon-check"
                                 update="entradaProyeccionForm"
                                 disabled="#{entradaProyeccion.banderaCancelacionMasivaAprobado}"
                                 oncomplete="consultaPrediosDlgWV.show(); inicializarAutotab();"
                                 action="#{rectificarArea.aceptarModificacionLinderos}"/>
                <p:commandButton value="Ver predios seleccionados" icon="ui-icon-search"
                                 update="entradaProyeccionForm"
                                 disabled="#{entradaProyeccion.banderaCancelacionMasivaAprobado}"
                                 oncomplete="prediosSeleccionadosDlgWV.show();"/>
                <p:commandButton value="Asociar predios al trámite" icon="ui-icon-transferthick-e-w"
                                 update="entradaProyeccionForm"
                                 disabled="#{entradaProyeccion.banderaCancelacionMasivaAprobado}"
                                 action="#{entradaProyeccion.adicionarPrediosCancelacionMasiva}"/>
                <p:commandButton value="Retirar predios" icon="ui-icon-close"
                                 disabled="#{!entradaProyeccion.banderaRetirarPrediosBase 
                                             or entradaProyeccion.banderaCancelacionMasivaAprobado}"
                                 onclick="confirmaEliminarPrediosCancelacionWV.show();"/>

            </h:panelGrid>

            <h:panelGrid columns="14" rendered="#{!entradaProyeccion.tramite.cancelacionMasiva}"
                         id="adicionarRetirarPrediosResultantesPanelGrid">
                <p:commandButton value="Adicionar predio"
                                 disabled="#{entradaProyeccion.tramite.segundaEnglobe or entradaProyeccion.tramite.modificacionInscripcionCatastral or 
                                             empty entradaProyeccion.prediosResultantes or !entradaProyeccion.selectedPredioFichaMatrizBool}"
                                 title="Adicionar nuevo predio" icon="ui-icon-plus"
                                 action="#{entradaProyeccion.setupNuevoPredio}"
                                 update=":datosPredioForm:datosPredioPanelGrid, :confirmaCrearPredio2Form,"
                                 oncomplete="handleCompleteSIC(xhr, status, args, datosPredioWV, true);"
                                 rendered="#{(!(entradaProyeccion.tramite.quinta or 
                                             (entradaProyeccion.tramite.segundaDesenglobe and 
                                             (entradaProyeccion.condicionPropiedadSeleccionada eq '8' or 
                                             entradaProyeccion.condicionPropiedadSeleccionada eq '9'))) and !entradaProyeccion.creaManzanas) 
                                             and !(entradaProyeccion.tramite.terceraMasiva or entradaProyeccion.tramite.rectificacionMatriz
                                             or entradaProyeccion.tramite.englobeVirtual)}" />

                <p:commandButton value="Adicionar predio"
                                 disabled="false"
                                 title="Adicionar nuevo predio" icon="ui-icon-plus"
                                 action="#{entradaProyeccion.setupGeneracionNuevosPredios}"
                                 update=":datosPredioForm:datosPredioPanelGrid, :confirmaCrearPredio2Form,"
                                 oncomplete="handleCompleteSIC(xhr, status, args, datosPredioWV, true);"
                                 rendered="#{entradaProyeccion.creaManzanas}" />

                <p:spacer width="10" height="0"
                          rendered="#{!(entradaProyeccion.tramite.quinta or 
                                      (entradaProyeccion.tramite.segundaDesenglobe and 
                                      (entradaProyeccion.condicionPropiedadSeleccionada eq '8' or 
                                      entradaProyeccion.condicionPropiedadSeleccionada eq '9')))}" />

                <p:commandButton value="Retirar predios" icon="ui-icon-minus"
                                 update="entradaProyeccionForm:entradaProyeccionMsgs, :tabView1,
                                        :tabView1:gestionarUbicacionDelTramite"
                                 action="#{entradaProyeccion.retirarPrediosSeleccionados}"
                                 rendered="#{!entradaProyeccion.tramite.englobeVirtual 
                                             and !entradaProyeccion.tramite.quintaOmitido 
                                             and !(entradaProyeccion.tramite.terceraMasiva or entradaProyeccion.tramite.rectificacionMatriz) 
                                             and !entradaProyeccion.tramite.quintaMasivo}"
                                 disabled="#{empty entradaProyeccion.prediosResultantes 
                                             or empty entradaProyeccion.prediosResultantesSeleccionados
                                             or (!entradaProyeccion.selectedPredioFichaMatrizBool and !entradaProyeccion.creaManzanas and !entradaProyeccion.tramite.desenglobeEtapas)}"
                                 title="Retirar los predios seleccionados"/>

                <p:spacer width="10" />

                <p:commandButton value="Matricula inmobiliaria" icon="ui-icon-contact"
                                 update="entradaProyeccionForm:entradaProyeccionMsgs, :matriculaEtapasForm,
                                 :tabView1:entradaProyeccionForm:testMsgs" 
                                 oncomplete="handleCompleteSIC(xhr, status, args, matriculaWV, true);"
                                 action="#{entradaProyeccion.initMatriculaMasivo}"
                                 rendered="#{entradaProyeccion.tramite.desenglobeEtapas}"
                                 disabled="#{empty entradaProyeccion.prediosResultantes 
                                             or empty entradaProyeccion.prediosResultantesSeleccionados
                                             or (!entradaProyeccion.selectedPredioFichaMatrizBool and !entradaProyeccion.creaManzanas and !entradaProyeccion.tramite.desenglobeEtapas)}"
                                 title="Ingresar matricula inmoviliaria para predios seleccionados"/>

                <p:spacer width="10" rendered="#{entradaProyeccion.tramite.desenglobeEtapas}"/> 

                <p:commandButton value="Destinación económica" icon="ui-icon-calculator" id="destinoBtn"
                                 update="entradaProyeccionForm:entradaProyeccionMsgs, :destinoEtapasForm,
                                 :tabView1:entradaProyeccionForm:testMsgs" 
                                 oncomplete="handleCompleteSIC(xhr, status, args, destinoEconomicoWV, true);"
                                 action="#{entradaProyeccion.initDestinoMasivo}"
                                 rendered="#{entradaProyeccion.tramite.desenglobeEtapas or entradaProyeccion.tramite.terceraMasiva}"
                                 disabled="#{empty entradaProyeccion.prediosResultantes 
                                             or empty entradaProyeccion.prediosResultantesSeleccionados
                                             or (!entradaProyeccion.selectedPredioFichaMatrizBool and !entradaProyeccion.creaManzanas and !entradaProyeccion.tramite.desenglobeEtapas)}"
                                 title="Ingresar destinación económica para predios seleccionados"/>

                <p:spacer width="10" rendered="#{entradaProyeccion.tramite.desenglobeEtapas}"/>
                <p:commandButton value="Dirección" icon=" ui-icon-pin-s"
                                 oncomplete="handleCompleteSIC(xhr, status, args, direccionWV, true);"
                                 update="entradaProyeccionForm:entradaProyeccionMsgs,:direccionEtapasForm,
                                 :tabView1:entradaProyeccionForm:testMsgs" 
                                 action="#{entradaProyeccion.initDireccionMasivo}"
                                 rendered="#{entradaProyeccion.tramite.desenglobeEtapas or  
                                             entradaProyeccion.tramite.terceraMasiva or (entradaProyeccion.tramite.rectificacionMatriz and !rc.dhDireccion)}"
                                 disabled="#{empty entradaProyeccion.prediosResultantes 
                                             or empty entradaProyeccion.prediosResultantesSeleccionados
                                             or (!entradaProyeccion.selectedPredioFichaMatrizBool and !entradaProyeccion.creaManzanas and !entradaProyeccion.tramite.desenglobeEtapas)}"
                                 title="Ingresar dirección para predios seleccionados"/>

                <p:spacer width="10" rendered="#{entradaProyeccion.tramite.desenglobeEtapas}"/>

                <p:commandButton value="Tipo predio" icon="ui-icon-home" id="tipoPredioBtn"
                                 update="entradaProyeccionForm:entradaProyeccionMsgs,
                                 :tabView1:entradaProyeccionForm:testMsgs" 
                                 oncomplete="handleCompleteSIC(xhr, status, args, tipoPredioWV, true);"
                                 action="#{entradaProyeccion.initTipoPredioMasivo}"
                                 rendered="#{entradaProyeccion.tramite.desenglobeEtapas}"
                                 disabled="#{empty entradaProyeccion.prediosResultantes 
                                             or empty entradaProyeccion.prediosResultantesSeleccionados
                                             or (!entradaProyeccion.selectedPredioFichaMatrizBool and !entradaProyeccion.creaManzanas and !entradaProyeccion.tramite.desenglobeEtapas)}"
                                 title="Ingresar Tipo predio para predios seleccionados"/>

                <p:spacer width="10" rendered="#{entradaProyeccion.tramite.desenglobeEtapas}"/>

                <h:outputLabel value="Modelos existentes: "
                               rendered="#{((entradaProyeccion.tramite.segundaDesenglobe and (entradaProyeccion.tramite.tipoInscripcionPH or entradaProyeccion.tramite.tipoInscripcionCondominio))
                                           and !entradaProyeccion.tramite.desenglobeEtapas)}"
                               styleClass="outputLabelStyle" />
                <h:selectOneMenu id="modeloSeleccionado"
                                 value="#{entradaProyeccion.modeloSeleccionado}" process="@this"
                                 rendered="#{((entradaProyeccion.tramite.segundaDesenglobe 
                                             and (entradaProyeccion.tramite.tipoInscripcionPH 
                                             or entradaProyeccion.tramite.tipoInscripcionCondominio))
                                             and !entradaProyeccion.tramite.desenglobeEtapas)}">
                    <f:selectItem itemLabel="Seleccionar..."></f:selectItem>
                    <f:selectItems
                        value="#{proyectarConservacion.listaModelosUnidadDeConstruccion}" />
                    <p:ajax process="@this" update="adicionarRetirarPrediosResultantesPanelGrid"></p:ajax>
                </h:selectOneMenu>

                <p:spacer width="10" />

                <p:commandButton value="Ver modelo" icon="ui-icon-home"
                                 id="verModeloBtn" title="Ver detalles del modelo de construcción"
                                 process="@this"
                                 rendered="#{((entradaProyeccion.tramite.segundaDesenglobe 
                                             and (entradaProyeccion.tramite.tipoInscripcionPH or entradaProyeccion.tramite.tipoInscripcionCondominio) 
                                             and entradaProyeccion.modeloSeleccionado ne null) and !entradaProyeccion.tramite.desenglobeEtapas)}"
                                 actionListener="#{entradaProyeccion.cargarModeloDeConstruccion}"
                                 update=":detalleTablaUnidadesDelModeloForm"
                                 oncomplete="detalleTablaUnidadesDelModeloDeConstruccionWV.show()">
                </p:commandButton>

                <p:commandButton value="Ver modelos existentes"
                                 icon="ui-icon-extlink" id="verModelosBtn"
                                 title="Ver modelos de construcción existentes"
                                 action="#{proyectarConservacion.cargarModelosDeConstruccionExistentes}"
                                 update=":asociarModeloForm,entradaProyeccionMsgs"
                                 disabled="#{(empty entradaProyeccion.prediosResultantesSeleccionados or
                                             !proyectarConservacion.existenModelosBool or
                                             entradaProyeccion.verModelosQuintaMasivo)
                                             and !entradaProyeccion.tramite.englobeVirtual}"
                                 rendered="#{entradaProyeccion.tramite.terceraMasiva or
                                             entradaProyeccion.tramite.englobeVirtual or
                                             (entradaProyeccion.tramite.quintaMasivo and 
                                             entradaProyeccion.tramite.quintaNuevo and
                                             proyectarConservacion.existenModelosBool)}"
                                 oncomplete="visualizacionModelosDeConstruccionWV.show()">
                    <f:setPropertyActionListener value="true"
                                                 target="#{proyectarConservacion.activeAsociarUnidadesBool}" />
                </p:commandButton>

                <p:spacer width="10" />

                <p:commandButton
                    value="Asignar el modelo a los predios seleccionados"
                    icon="ui-icon-extlink"
                    rendered="#{(entradaProyeccion.tramite.segundaDesenglobe and
                                (entradaProyeccion.tramite.tipoInscripcionPH or
                                entradaProyeccion.tramite.tipoInscripcionCondominio)) and false}"
                    action="#{entradaProyeccion.asignarModelo}"
                    update=":tabView1:entradaProyeccionForm:entradaProyeccionMsgs" />

                <p:commandButton
                    value="Eliminar ficha de Trámite"
                    icon="ui-icon-close" title="#{!entradaProyeccion.banderaEnglobeVirtualAprobado} - #{!proyectarConservacion.predioSeleccionado.esPredioFichaMatriz}"
                    rendered="#{(entradaProyeccion.tramite.englobeVirtual)}"
                    disabled="#{!entradaProyeccion.banderaEnglobeVirtualAprobado or !proyectarConservacion.predioSeleccionado.esPredioFichaMatriz}"
                    oncomplete="confirmaReversarEnglobeVirtualWV.show();" />
            </h:panelGrid>

            <p:spacer width="0" height="10" />


            <p:dataTable var="predio" id="prediosResultantesCancelacionDT" 
                         rendered="#{proyectarConservacion.tramite.cancelacionMasiva}"
                         value="#{entradaProyeccion.prediosResultantesCancelacionMasiva}" rows="10"
                         paginator="true"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                         paginatorPosition="bottom" rowsPerPageTemplate="10,20,30"
                         emptyMessage="No existen predios resultantes a mostrar">
                <f:facet name="header">
                    Predios nuevos resultante
                </f:facet>

                <p:column>
                    <h:selectBooleanCheckbox value="#{predio.selected}"
                                             valueChangeListener="#{entradaProyeccion.nuevoPredioSeleccionado}">
                        <p:ajax process="@this"
                                update=":tabView1:entradaProyeccionForm:testMsgs,
                                :tabView1:entradaProyeccionForm:adicionarRetirarPrediosResultantesPanelGrid,
                                :tabView1,:proyectarMutacionPnlGrd"
                                listener="#{entradaProyeccion.updateSelectedPrediosResultantes}">
                            <f:setPropertyActionListener target="#{entradaProyeccion.predioCancelarSeleccionado}"
                                                         value="#{predio}"/>
                        </p:ajax>
                    </h:selectBooleanCheckbox>
                </p:column>

                <p:column sortBy="#{predio.numeroPredial}">
                    <f:facet name="header">Número predial</f:facet>
                    <h:outputText value="#{predio.formattedNumeroPredialCompleto}" />
                </p:column>

                <p:column sortBy="#{predio.tipo}">
                    <f:facet name="header">Tipo de predio</f:facet>
                    <h:outputText value="#{predio.tipo}" id="PredioTipoV">
                        <f:converter converterId="converterCB" for="PredioTipoV" />
                    </h:outputText>
                </p:column>

                <p:column sortBy="#{predio.numeroRegistro}">
                    <f:facet name="header">Matricula inmobiliaria</f:facet>
                    <h:outputText value="#{predio.numeroRegistro}" />
                </p:column>

                <p:column headerText="Destinación económica">
                    <h:outputText value="#{predio.destino}" id="PredioDestinoV">
                        <f:converter converterId="converterCB" for="PredioDestinoV" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Dirección" >
                    <h:outputText value="#{predio.direccionPrincipal}" />
                </p:column>

            </p:dataTable>

            <p:spacer width="0" height="30" />

            <div style="left: 85%;">
                <p:commandButton value="Cancelar PH/Condominio"
                                 title="Cancelar predios" icon="ui-icon-plus"
                                 oncomplete="confirmaCancelacionMasivaWV.show();"
                                 rendered="#{entradaProyeccion.tramite.cancelacionMasiva}" 
                                 disabled="#{entradaProyeccion.banderaCancelacionMasivaAprobado}"/>
                <p:spacer width="10"/>

                <p:commandButton value="Retirar predios" icon="ui-icon-close" 
                                 rendered="#{proyectarConservacion.tramite.cancelacionMasiva}"
                                 disabled="#{!entradaProyeccion.banderaRetirarPrediosResultantes}"
                                 onclick="confirmaReversarCancelacionWV.show();"/>

            </div>

            <p:spacer width="0" height="10" />

        </p:fieldset>

    </h:form>
</h:panelGrid>